Bug 67879 - Generate a SharedWorker constructor of V8 using the IDL 'Constructor' extended attribute
Summary: Generate a SharedWorker constructor of V8 using the IDL 'Constructor' extende...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 65839
  Show dependency treegraph
 
Reported: 2011-09-09 18:57 PDT by Kentaro Hara
Modified: 2011-10-18 23:56 PDT (History)
6 users (show)

See Also:


Attachments
Patch (11.28 KB, patch)
2011-09-11 22:13 PDT, Kentaro Hara
no flags Details | Formatted Diff | Diff
rebased patch for review (11.23 KB, patch)
2011-09-28 02:03 PDT, Kentaro Hara
no flags Details | Formatted Diff | Diff
rebased patch for review (11.28 KB, patch)
2011-10-07 02:53 PDT, Kentaro Hara
no flags Details | Formatted Diff | Diff
Patch (18.07 KB, patch)
2011-10-17 05:16 PDT, Kentaro Hara
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kentaro Hara 2011-09-09 18:57:56 PDT
Currently, the SharedWorker constructor is written manually as a custom constructor. We should replace this with automatically generated code by the IDL 'Constructor' extended attribute.
Comment 1 Kentaro Hara 2011-09-11 22:13:11 PDT
Created attachment 107020 [details]
Patch
Comment 2 Kentaro Hara 2011-09-28 02:03:44 PDT
Created attachment 108986 [details]
rebased patch for review
Comment 3 Kentaro Hara 2011-10-07 02:53:49 PDT
Created attachment 110114 [details]
rebased patch for review
Comment 4 Hajime Morrita 2011-10-16 22:34:14 PDT
Comment on attachment 107020 [details]
Patch

Marking obsolete as new one being available.
Comment 5 Hajime Morrita 2011-10-16 22:41:57 PDT
Comment on attachment 110114 [details]
rebased patch for review

RIP out poor custom constructor. 
By the way, could you add a new test which verifies "name" parameter of SharedWorker?
I guess we don't have any test which checks worker side stuff.
Comment 6 Kentaro Hara 2011-10-17 00:18:02 PDT
(In reply to comment #5)
> (From update of attachment 110114 [details])
> By the way, could you add a new test which verifies "name" parameter of SharedWorker?
> I guess we don't have any test which checks worker side stuff.

Isn't fast/workers/shared-worker-name.html enough?
Comment 7 Kentaro Hara 2011-10-17 05:16:34 PDT
Created attachment 111247 [details]
Patch
Comment 8 Kentaro Hara 2011-10-17 05:21:28 PDT
(In reply to comment #5)
> (From update of attachment 110114 [details])
> RIP out poor custom constructor. 
> By the way, could you add a new test which verifies "name" parameter of SharedWorker?
> I guess we don't have any test which checks worker side stuff.

morrita: Upon rebase, I needed to make a non-trivial change. Would you please take another look at the patch?

- Moved a ScriptExecutionContext parameter of SharedWorker::create() to the beginning, i.e. SharedWorker::create(..., context, ec) ==> SharedWorker::create(context, ..., ec). c.f. bug 69799.
- Added test cases for an undefined name and a null name on fast/workers/resources/shared-worker-name.js.
Comment 9 WebKit Review Bot 2011-10-18 23:56:45 PDT
Comment on attachment 111247 [details]
Patch

Clearing flags on attachment: 111247

Committed r97836: <http://trac.webkit.org/changeset/97836>
Comment 10 WebKit Review Bot 2011-10-18 23:56:51 PDT
All reviewed patches have been landed.  Closing bug.